gmusicbrowser(1)

NAME
gmusicbrowser - Jukebox for large collections of music files

SYNOPSIS
gmusicbrowser [-nocheck] [-noscan] [-demo] [-ro] [-rotags] [-play] [-nodbus] [-gst0|-nogst] [-server] [-port N] [-cfg FILE] [-fifo FIFO|-nofifo] [-debug] [-verbose] [-layout NAME] [-plugin NAME] [-searchpath FOLDER] [-use-gnome-session] [-workspace N] [-cmd CMD] [-ifnotrunning MODE] [-dbus-id KEY] FOLDER_OR_FILE ...
gmusicbrowser -listcmd gmusicbrowser -tagedit FOLDER_OR_FILE ...

DESCRIPTION
This manual page explains the gmusicbrowser program.

gmusicbrowser can play and manage your songs, currently supports mp3, ogg, flac, mpc file formats. see http://gmusicbrowser.sourceforge.net/ for more information.

OPTIONS

-c, -nocheck
    don't check for updated/deleted songs on startup

-s, -noscan
    don't scan folders for songs on startup

-demo
    don't save settings/tags on exit

-ro prevent modifying/renaming/deleting song files

-rotags
    prevent modifying tags of music files

-play
    start playing on startup

-nogst
    do not load any gstreamer librairies

-gst0
    prefer gstreamer-0.10 over gstreamer-1.x if both are available

-nodbus
    do not use DBus

-server
    send playing song to connected icecast client

-port N
    listen for connection on port N in icecast server mode

-C FILE, -cfg FILE
    use FILE as configuration file (instead of 'gmbrc' in default folder), if FILE is a folder (or ends with '/'), it will be used as base folder instead of ~/.config/gmusicbrowser/

-F FIFO, -fifo FIFO
    use FIFO as named pipe to receive commans (instead of 'gmusicbrowser.fifo' in default folder)

-nofifo
    do not use/create named pipe

-dbus-id KEY
    append .KEY to the DBus service id used by gmusicbrowser (org.gmusicbrowser)

-verbose
    print some info, like the file being played

-debug
    print lots of useless information, implies -verbose

-backtrace
    print a backtrace for every warning

-l NAME, -layout NAME
    use layout NAME for player window

-plugin NAME
    deactivate plugin identified by NAME

+plugin NAME
    activate plugin identified by NAME

-noplugins
    deactivate all plugins

-searchpath FOLDER
    add FOLDER to the list of folders searched for plugins and layouts

-use-gnome-session
    Use gnome libraries to save tags/settings on session logout (needs the Gnome2 perl module).

-workspace N
    Move initial window to workspace N (needs the Gnome2::Wnck perl module).

-cmd CMD
    add CMD to the list of commands to execute. If a running instance of gmusicbrowser is found, these commands will be sent via the fifo file or via DBus. If there is no running instance of gmusicbrowser, the behavior depends on option -ifnotrunning

-ifnotrunning MODE
    change behavior when no running gmusicbrowser instance is found, MODE can be one of :

    normal
        (default) launch a new instance and execute commands

    nocmd
        launch a new instance but discard commands

    abort
        do nothing
    Running instances of gmusicbrowser are detected via the fifo or via DBus. To run more than one instance, use a unique fifo and a unique DBus-id, or deactivate them.

-listcmd
    list the available commands and exit

-listlayout
    list the available layouts and exit

-listplugin
    list the available plugins and exit

-tagedit FOLDER_OR_FILE ...
    Load songs in FOLDER_OR_FILE and display a dialog to edit their tags.

FILES

~/.gmusicbrowser/tags
    contains songs tags and program options

/usr/share/gmusicbrowser/plugins/, ~/.gmusicbrowser/plugins/
    files with extension .pm in these folders are loaded as plugins on startup

/usr/share/gmusicbrowser/layouts/*.layout, ~/.gmusicbrowser/layouts/*.layout
    contains layouts definitions

~/.gmusicbrowser/gmusicbrowser.fifo
    can be used to send commands to a running gmusicbrowser, eg : echo CMD >~/.gmusicbrowser/gmusicbrowser.fifo where CMD is (run "gmusicbrowser -listcmd" for an up-to-date list of commands) :

NextSong
    Skip current song

PrevSong
    choose previously played song

PlayPause
    toggle Play/Pause mode

Stop
    stop playing

Rewind SEC
    rewind SEC seconds

Forward SEC
    forward SEC seconds

Browser
    open browser window

ShowHide
    hide/show gmusicbrowser windows

Quit
    quit gmusicbrowser

Save
    immediately save settings/song tags in ~/.gmusicbrowser/tags

ChangeDisplay DISPLAY
    migrate the program to display DISPLAY (example : ":1")

SEE ALSO
http://gmusicbrowser.org/,

AUTHOR
Copyright (c) 2005-2020 Quentin Sculo <squentin@free.fr>